/*********************************************/
/* Source of net calendar Window Preferences */
/*********************************************/

#include <TabView.h>
#include "Counter.h"
#include "CalendarWinPref.h"
#include "CalendarViewsPref.h"

/**** references of datas declared in the Calendar control ****/
extern NetCountCalendarDatas *calendar_datas;

/**** Constructor of Window Calendar Preferences ****/
CalendarWinPref::CalendarWinPref(BRect frame,BMessenger Messenger)
: BWindow(frame,((CounterApp *)be_app)->Langage("tariff-title"), B_TITLED_WINDOW, B_NOT_RESIZABLE | B_NOT_ZOOMABLE )
{
	BRect		tabviewrect;
	BTabView	*Connectiontabview;

	_calendarControl = Messenger;
	SetLook(B_FLOATING_WINDOW_LOOK);
	SetFeel(B_NORMAL_WINDOW_FEEL);

	Connectiontabview = new BTabView(Bounds(),"PrefCalendarTabView");
	tabviewrect = Connectiontabview->Bounds();
	tabviewrect.bottom -= Connectiontabview->TabHeight();
	
	Connectiontabview->AddTab(new FixedPriceViewPref(tabviewrect,((CounterApp *)be_app)->Langage("fixe-price")));
	Connectiontabview->AddTab(new ConnectionCostViewPref(tabviewrect,((CounterApp *)be_app)->Langage("con-cost")));
	Connectiontabview->AddTab(new ConnectionListViewPref(tabviewrect,((CounterApp *)be_app)->Langage("price-list")));
	Connectiontabview->AddTab(new BlankListViewPref(tabviewrect,((CounterApp *)be_app)->Langage("blank-list")));
	
	AddChild(Connectiontabview);
}

/**** Message Received ****/
bool CalendarWinPref::QuitRequested(void)
{
	BRect		framefenetre = Frame();
	BMessage	msgtoclose(CLOSE_WIN_PREF);
	
	msgtoclose.AddRect("fenetre-pref-netcalendar",framefenetre);
	_calendarControl.SendMessage(&msgtoclose);

	return(true);
}