/*
 *
 *	CounterView.h
 *
 *
 */

#ifndef COUNTER_VIEW_H
#define COUNTER_VIEW_H

#include <View.h>
#include <String.h>

class CounterApp;

class CounterView : public BView 
{
protected:
	BButton		*_plainButton;
	char		*_surffileline;
	bool		_connected;
	tm			_starttime;
	tm			_stoptime;
	int32		_nbconnection;
	int32		_duringtime;
	float		_duringprice;
	BString		_tempString;
	rgb_color	_pricecolor;
	// for access to app
	CounterApp		*_app;
	
public:
	CounterView(BRect frame, const char *name); 
	virtual ~CounterView();
	virtual void 	MessageReceived(BMessage *message);
	virtual void	Draw(BRect frame);
	virtual	void	AttachedToWindow();
	virtual	void	Pulse();
	
	inline	bool	CounterActive()	{ return _connected; }

	float			ComputeTime(tm,tm);
	float			ComputeFixedPrice(tm,tm);
	
private:
	void			StartConnection();
	void			EndConnection();
};



#endif //COUNTER_VIEW_H
