/*
	
	HistoryWindow.h
	

*/

#ifndef HISTORY_WINDOW_H
#define HISTORY_WINDOW_H

#include <Window.h>
#include <TextView.h>
#include "HistoryView.h"
#include "CTabView.h"

class CounterApp;

const uint32 CLOSE_WIN_HISTORY	= 'Ucwh';

class HistoryWindow : public BWindow 
{
protected:
	CTabView			*_historyTabView;
	HistoryView			*_viewdetails;
	HistoryView			*_viewpermonth;
	BButton				*_addconnections;
	BButton				*_rmconnections;
	BTextView			*_timeTextView;
	BTextView			*_priceTextView;
	BString				_totalString;
	// acces to be_app
	CounterApp	*_app;

public:
	HistoryWindow(BRect,const char *,BMessenger);
	virtual ~HistoryWindow();
	virtual	void	MessageReceived(BMessage *message);	
	virtual bool	QuitRequested(void);
	
	void	RefreshTotal();

	inline HistoryView*		ViewDetails()		{ return _viewdetails; }
	inline HistoryView*		ViewPerMonth()		{ return _viewpermonth; }
};

#endif
