#include <string.h>

#include <Alert.h>

#include "Translate.h"

void WarningAlert(const char* msg)
{
	(new BAlert("",msg,TS_OK,NULL,NULL,B_WIDTH_AS_USUAL,B_WARNING_ALERT))->Go();
}

void ErrorAlert(status_t status, const char* msg)
{
	// je suppose que la taille maximale du texte de l'erreur peut-être de 100
	// caractères
	char *msgbuf=new char[100+strlen(msg)+1];
	strcpy(msgbuf,msg);
	strcat(msgbuf," ");
	switch(status)
	{
	case B_NO_MEMORY:
		strcat(msgbuf,TS_BEC_NO_MEMORY);
		break;
	case B_IO_ERROR:
		strcat(msgbuf,TS_BEC_IO_ERROR);
		break;
	case B_PERMISSION_DENIED:
		strcat(msgbuf,TS_BEC_PERMISSION_DENIED);
		break;
	case B_BAD_INDEX:
		strcat(msgbuf,TS_BEC_BAD_INDEX);
		break;
	case B_BAD_VALUE:
		strcat(msgbuf,TS_BEC_BAD_VALUE);
		break;
	case B_MISMATCHED_VALUES:
		strcat(msgbuf,TS_BEC_MISMATCHED_VALUES);
		break;
	case B_BAD_TYPE:
		strcat(msgbuf,TS_BEC_BAD_TYPE);
		break;
	case B_NAME_NOT_FOUND:
		strcat(msgbuf,TS_BEC_NAME_NOT_FOUND);
		break;
	case B_NAME_IN_USE:
		strcat(msgbuf,TS_BEC_NAME_IN_USE);
		break;
	case B_BUSY:
		strcat(msgbuf,TS_BEC_BUSY);
		break;
	case B_NOT_ALLOWED:
		strcat(msgbuf,TS_BEC_NOT_ALLOWED);
		break;
	case B_NO_INIT:
		strcat(msgbuf,TS_BEC_NO_INIT);
		break;
	case B_TIMED_OUT:
		strcat(msgbuf,TS_BEC_TIMED_OUT);
		break;
	case B_INTERRUPTED:
		strcat(msgbuf,TS_BEC_INTERRUPTED);
		break;
	case B_WOULD_BLOCK:
		strcat(msgbuf,TS_BEC_WOULD_BLOCK);
		break;
	case B_ERROR:
		strcat(msgbuf,TS_BEC_ERROR);
		break;
	case B_NO_ERROR:
		strcat(msgbuf,TS_BEC_NO_ERROR);
		break;
	case B_FILE_ERROR:
		strcat(msgbuf,TS_BEC_FILE_ERROR);
		break;
	case B_FILE_EXISTS:
		strcat(msgbuf,TS_BEC_FILE_EXISTS);
		break;
	case B_ENTRY_NOT_FOUND:
		strcat(msgbuf,TS_BEC_ENTRY_NOT_FOUND);
		break;
	case B_NAME_TOO_LONG:
		strcat(msgbuf,TS_BEC_NAME_TOO_LONG);
		break;
	case B_NO_MORE_FDS:
		strcat(msgbuf,TS_BEC_NO_MORE_FDS);
		break;
	case B_NOT_A_DIRECTORY:
		strcat(msgbuf,TS_BEC_NOT_A_DIRECTORY);
		break;
	case B_IS_A_DIRECTORY:
		strcat(msgbuf,TS_BEC_IS_A_DIRECTORY);
		break;
	case B_DIRECTORY_NOT_EMPTY:
		strcat(msgbuf,TS_BEC_DIRECTORY_NOT_EMPTY);
		break;
	case B_DEVICE_FULL:
		strcat(msgbuf,TS_BEC_DEVICE_FULL);
		break;
	case B_READ_ONLY_DEVICE:
		strcat(msgbuf,TS_BEC_READ_ONLY_DEVICE);
		break;
	case B_CROSS_DEVICE_LINK:
		strcat(msgbuf,TS_BEC_CROSS_DEVICE_LINK);
		break;
	case B_LINK_LIMIT:
		strcat(msgbuf,TS_BEC_LINK_LIMIT);
		break;
	case B_BUSTED_PIPE:
		strcat(msgbuf,TS_BEC_BUSTED_PIPE);
		break;
	case B_DUPLICATE_REPLY:
		strcat(msgbuf,TS_BEC_DUPLICATE_REPLY);
		break;
	case B_BAD_REPLY:
		strcat(msgbuf,TS_BEC_BAD_REPLY);
		break;
	case B_BAD_HANDLER:
		strcat(msgbuf,TS_BEC_BAD_HANDLER);
		break;
	case B_MESSAGE_TO_SELF:
		strcat(msgbuf,TS_BEC_MESSAGE_TO_SELF);
		break;
	case B_ALREADY_RUNNING:
		strcat(msgbuf,TS_BEC_ALREADY_RUNNING);
		break;
	case B_LAUNCH_FAILED:
		strcat(msgbuf,TS_BEC_LAUNCH_FAILED);
		break;
	case B_AMBIGUOUS_APP_LAUNCH:
		strcat(msgbuf,TS_BEC_AMBIGUOUS_APP_LAUNCH);
		break;
	case B_UNKNOWN_MIME_TYPE:
		strcat(msgbuf,TS_BEC_UNKNOWN_MIME_TYPE);
		break;
	case B_BAD_SCRIPT_SYNTAX:
		strcat(msgbuf,TS_BEC_BAD_SCRIPT_SYNTAX);
		break;
	case B_BAD_THREAD_ID:
		strcat(msgbuf,TS_BEC_BAD_THREAD_ID);
		break;
	case B_BAD_THREAD_STATE:
		strcat(msgbuf,TS_BEC_BAD_THREAD_STATE);
		break;
	case B_NO_MORE_THREADS:
		strcat(msgbuf,TS_BEC_NO_MORE_THREADS);
		break;
	case B_BAD_TEAM_ID:
		strcat(msgbuf,TS_BEC_BAD_TEAM_ID);
		break;
	case B_NO_MORE_TEAMS:
		strcat(msgbuf,TS_BEC_NO_MORE_TEAMS);
		break;
	case B_BAD_PORT_ID:
		strcat(msgbuf,TS_BEC_BAD_PORT_ID);
		break;
	case B_NO_MORE_PORTS:
		strcat(msgbuf,TS_BEC_NO_MORE_PORTS);
		break;
	case B_BAD_SEM_ID:
		strcat(msgbuf,TS_BEC_BAD_SEM_ID);
		break;
	case B_NO_MORE_SEMS:
		strcat(msgbuf,TS_BEC_NO_MORE_SEMS);
		break;
	case B_BAD_IMAGE_ID:
		strcat(msgbuf,TS_BEC_BAD_IMAGE_ID);
		break;
	case B_NOT_AN_EXECUTABLE:
		strcat(msgbuf,TS_BEC_NOT_AN_EXECUTABLE);
		break;
	case B_BAD_ADDRESS:
		strcat(msgbuf,TS_BEC_BAD_ADDRESS);
		break;
	case B_STREAM_NOT_FOUND:
		strcat(msgbuf,TS_BEC_STREAM_NOT_FOUND);
		break;
	case B_SERVER_NOT_FOUND:
		strcat(msgbuf,TS_BEC_SERVER_NOT_FOUND);
		break;
	case B_RESOURCE_NOT_FOUND:
		strcat(msgbuf,TS_BEC_RESOURCE_NOT_FOUND);
		break;
	case B_RESOURCE_UNAVAILABLE:
		strcat(msgbuf,TS_BEC_RESOURCE_UNAVAILABLE);
		break;
	case B_BAD_SUBSCRIBER:
		strcat(msgbuf,TS_BEC_BAD_SUBSCRIBER);
		break;
	case B_SUBSCRIBER_NOT_ENTERED:
		strcat(msgbuf,TS_BEC_SUBSCRIBER_NOT_ENTERED);
		break;
	case B_BUFFER_NOT_AVAILABLE:
		strcat(msgbuf,TS_BEC_BUFFER_NOT_AVAILABLE);
		break;
	case B_MAIL_NO_DAEMON:
		strcat(msgbuf,TS_BEC_MAIL_NO_DAEMON);
		break;
	case B_MAIL_UNKNOWN_USER:
		strcat(msgbuf,TS_BEC_MAIL_UNKNOWN_USER);
		break;
	case B_MAIL_WRONG_PASSWORD:
		strcat(msgbuf,TS_BEC_MAIL_WRONG_PASSWORD);
		break;
	case B_MAIL_UNKNOWN_HOST:
		strcat(msgbuf,TS_BEC_MAIL_UNKNOWN_HOST);
		break;
	case B_MAIL_ACCESS_ERROR:
		strcat(msgbuf,TS_BEC_MAIL_ACCESS_ERROR);
		break;
	case B_MAIL_UNKNOWN_FIELD:
		strcat(msgbuf,TS_BEC_MAIL_UNKNOWN_FIELD);
		break;
	case B_MAIL_NO_RECIPIENT:
		strcat(msgbuf,TS_BEC_MAIL_NO_RECIPIENT);
		break;
	case B_MAIL_INVALID_MAIL:
		strcat(msgbuf,TS_BEC_MAIL_INVALID_MAIL);
		break;
	case B_DEV_INVALID_IOCTL:
		strcat(msgbuf,TS_BEC_DEV_INVALID_IOCTL);
		break;
	case B_DEV_NO_MEMORY:
		strcat(msgbuf,TS_BEC_DEV_NO_MEMORY);
		break;
	case B_DEV_BAD_DRIVE_NUM:
		strcat(msgbuf,TS_BEC_DEV_BAD_DRIVE_NUM);
		break;
	case B_DEV_NO_MEDIA:
		strcat(msgbuf,TS_BEC_DEV_NO_MEDIA);
		break;
	case B_DEV_UNREADABLE:
		strcat(msgbuf,TS_BEC_DEV_UNREADABLE);
		break;
	case B_DEV_FORMAT_ERROR:
		strcat(msgbuf,TS_BEC_DEV_FORMAT_ERROR);
		break;
	case B_DEV_TIMEOUT:
		strcat(msgbuf,TS_BEC_DEV_TIMEOUT);
		break;
	case B_DEV_RECALIBRATE_ERROR:
		strcat(msgbuf,TS_BEC_DEV_RECALIBRATE_ERROR);
		break;
	case B_DEV_SEEK_ERROR:
		strcat(msgbuf,TS_BEC_DEV_SEEK_ERROR);
		break;
	case B_DEV_ID_ERROR:
		strcat(msgbuf,TS_BEC_DEV_ID_ERROR);
		break;
	case B_DEV_READ_ERROR:
		strcat(msgbuf,TS_BEC_DEV_READ_ERROR);
		break;
	case B_DEV_WRITE_ERROR:
		strcat(msgbuf,TS_BEC_DEV_WRITE_ERROR);
		break;
	case B_DEV_NOT_READY:
		strcat(msgbuf,TS_BEC_DEV_NOT_READY);
		break;
	case B_DEV_MEDIA_CHANGED:
		strcat(msgbuf,TS_BEC_DEV_MEDIA_CHANGED);
		break;
	}
	(new BAlert("",msgbuf,TS_OK,NULL,NULL,B_WIDTH_AS_USUAL,B_STOP_ALERT))->Go();
	delete [] msgbuf;
}