/*****************/
/* Onglets perso */
/*****************/

#include <Messenger.h>
#include "PTabView.h"


/****** Classe personnel Item  de liste pour TabView ******/	

CTabListItem::CTabListItem(const char * label)
: BListItem()
{
	_itemLabel = label;
}

CTabListItem::~CTabListItem()
{
}

void CTabListItem::DrawItem(BView *owner,BRect frame,bool complete)
{
	rgb_color	OldColor;
	rgb_color	OldLowColor;

	OldColor = owner->HighColor();
	OldLowColor = owner->LowColor();
	
	if(IsSelected())
		owner->SetHighColor(200,200,255,255);
	else
		owner->SetHighColor(255,255,255,255);	
	owner->SetLowColor(owner->HighColor());	
	owner->FillRect(frame);

	owner->SetHighColor(0,0,0);
	owner->DrawString(_itemLabel.String(),BPoint(frame.left+10,frame.bottom-2));

	owner->SetHighColor(OldColor);
	owner->SetLowColor(OldLowColor);
}

/****** Classe personnel TabView ******/	

/**** constructeur ****/
PTabView::PTabView(BRect frame, const char *name,BListView *assoList)
: BTabView(frame,name)
{
	_viewsList = assoList;
	_isLock = false;
}

/**** destructeur ****/
PTabView::~PTabView()
{
}

/**** selection d'un onglet ****/
void PTabView::SelectTab(int32 tab)
{
	if(tab != Selection())
		Select(tab);
			
	(BMessenger((TabAt(tab))->View())).SendMessage(U_SELECT_PTAB_MSG);
}

/**** dessin ****/
void PTabView::Draw(BRect updateRect)
{
	rgb_color	blanc = {255,255,255,255};
	rgb_color	gris = {99,99,99,255};
	BTabView::DrawBox(BRect(0,0,-1,-1));
	
	SetHighColor(219,219,219,255);
	FillRect(BRect(1,1,(Bounds()).right-2,19));
	SetHighColor(0,0,0,255);
	DrawString((TabAt(Selection()))->Label(),BPoint(10,14));

	BeginLineArray(3);
	AddLine(BPoint(0,0),BPoint((Bounds()).right,0),blanc);
	AddLine(BPoint(1,20),BPoint((Bounds()).right,20),gris);
	AddLine(BPoint(0,21),BPoint((Bounds()).right,21),blanc);
	EndLineArray();
}

/**** dessin ****/
void PTabView::AddTab(BView *target, BTab *tab)
{
	BTabView::AddTab(target,tab);
	_viewsList->AddItem(new CTabListItem(tab->Label()));
}