#include <Message.h>
#include "ProgressWindow.h"

ProgressWindow::ProgressWindow(BRect frame,int32 maxValue,const char *label)
: BWindow(frame,"Progress",B_MODAL_WINDOW, B_NOT_RESIZABLE | B_NOT_ZOOMABLE )
{
	// create support view
	_progressView = new BView(Bounds(),"progress-view",B_FOLLOW_ALL_SIDES, B_WILL_DRAW);
	_progressView->SetViewColor(219,219,219,255);
	// create progress bar
	BRect	barRect = Bounds();
	barRect.left += 10;
	barRect.right -= 10;
	_progressBar = new BStatusBar(barRect,"progress-bar",label);
	_progressBar->SetMaxValue(maxValue);
	_progressView->AddChild(_progressBar);
	
	AddChild(_progressView);
}

ProgressWindow::~ProgressWindow(void)
{
}

void ProgressWindow::MessageReceived(BMessage *message)
{
	switch(message->what)
	{
		case U_INC_PROGRESS_BAR:
			_evolutionText.SetTo("");
			_evolutionText << (int32)_progressBar->CurrentValue() << " of " << (int32)_progressBar->MaxValue();
			_progressBar->Update(1,NULL,_evolutionText.String());
			break;
		default:
			BWindow::MessageReceived(message);
	}
}
